Subject: bug#31688: 26.1.50; Byte compiler confuses two string variables

From: Noam Postavsky <[email-masked]>
Date: Sat, 02 Jun 2018 19:25:04 -0400

Gemini Lasswell <[email-masked]> writes:

> Thanks for the explanation. I've just searched the Elisp reference
> looking for any any warnings not to use destructive functions on
> literals, and didn't find anything. Did I miss it? If not, it seems to
> me that the node "Self-Evaluating Forms" would be a good place to
> discuss the subject.

There is a description with reference to `nconc' in `(elisp)
Rearrangement'.  See also Bug#23417.

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=23417